Difference between revisions of "Draft Line/de"

From FreeCAD Documentation
Jump to navigation Jump to search
 
(29 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
<div class="mw-translate-fuzzy">
+
{{Docnav/de|
{{Docnav/de||[[Draft_Wire/de|Wire]]|[[Draft_Module/de|Draft]]|IconC=Workbench_Draft.svg|IconR=Draft_Wire.svg}}
+
|[[Draft_Wire/de|Draht]]
</div>
+
|[[Draft_Module/de|Entwurf]]
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Wire.svg
 +
}}
  
{{GuiCommand
+
{{GuiCommand/de
|Name=Draft Line
+
|Name=Entwurf Linie
|MenuLocation=Draft Line
+
|MenuLocation=Entwurf Linie
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
+
|Workbenches=[[Draft Module/de|Entwurf]], [[Arch Module/de|Arch Arbeitsbereich]]
|Shortcut=L I
+
|Shortcut={{KEY|L}} {{KEY|I}}
|SeeAlso=[[Draft Wire|Draft Wire]], [[Draft Point|Draft Point]]
+
|SeeAlso=[[Draft Wire/de|Entwurf Draht]], [[Draft Point/de|Entwurf Punkt]]
 
|Version=0.7
 
|Version=0.7
 
}}
 
}}
  
==Beschreibung==
+
==Beschreibung==  
Das Linienwerkzeug erzeugt eine gerade Linie, die durch zwei Punkte definiert ist. Es wird das [[Draft Linestyle/de|Draft Linestyle]] verwendet, das auf dem [[Draft Tray
+
 
/de|Draft Tray]] eingestellt ist. Das Linienwerkzeug verhält sich genau wie das Werkzeug [[Draft Wire|Draft Wire]], nur dass es nach zwei Punkten stoppt.
+
Das Linienwerkzeug erzeugt eine gerade Linie, die durch zwei Punkte definiert ist. Es wird das [[Draft Linestyle/de|Entwurf Linienart]] verwendet, das auf dem [[Draft Tray
 +
/de|Entwurf Tablett]] gesetzt ist. Das Linienwerkzeug verhält sich genau wie das Werkzeug [[Draft Wire/de|Entwurf Draht]], nur dass es nach zwei Punkten stoppt.
  
 
[[Image:Draft_Line_example.jpg|400px]]
 
[[Image:Draft_Line_example.jpg|400px]]
 
{{Caption|Linie erzeugt durch zwei Punkte}}
 
{{Caption|Linie erzeugt durch zwei Punkte}}
  
<div class="mw-translate-fuzzy">
+
==Anwendung==  
==Anwendung==
+
 
# Drücke die Taste {{Button|[[Image:Draft Line.svg|16px]]] [[Draft Line|Draft Line]]}}, oder drücke {{KEY|L}}} und dann {{KEY|I}}} Tasten.
+
# Drücke die {{Button|[[Image:Draft Line.svg|16px]] [[Draft Line/de|Entwurf Linie]]}} Schaltfläche, oder verwende {{KEY|Entwurf}} → {{KEY|[[Image:Draft Line.svg|16px]] [[Draft Line/de|Linie]]}} aus dem oberen Menü oder verwende die Tastaturkürzel: {{KEY|L}}, dann {{KEY|I}}.
# Klicke auf einen ersten Punkt in der 3D Ansicht, oder gib eine [[Draft_Coordinates|Koordinate]] ein und drücke die Taste {{Button|[[Image:Draft_AddPoint.svg|16px]][[Draft_AddPoint|add point]]}} Taste.
+
# Klicke auf einen ersten Punkt in der 3D Ansicht, oder gib eine [[Draft_Coordinates/de|Koordinate]] ein und drücke die Taste {{Button|[[Image:Draft_AddPoint.svg|16px]][[Draft_AddPoint/de|Punkt hinzufügen]]}} Taste.
# Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine [[Draft_Coordinates|coordinate]] ein und drücke die Taste {{Button|[[Image:Draft_AddPoint.svg|16px]]] [[Draft_AddPoint|add point]]}} Taste.
+
# Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine [[Draft_Coordinates/de|Koordinate]] ein und drücke die Taste {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt hinzufügen]]}} Taste.
</div>
 
  
 
Die Linie kann durch doppelklicken des Elements in der Baumansicht geändert werden oder durch drücken der Schaltfläche
 
Die Linie kann durch doppelklicken des Elements in der Baumansicht geändert werden oder durch drücken der Schaltfläche
Line 31: Line 34:
  
 
===Verschmelzen einzelner Linien===
 
===Verschmelzen einzelner Linien===
Wenn verschiedene verbundene [[Draft Line/de|Draft Linien]] ausgewählt sind, können sie durch Drücken des {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/de|Draft Hoststufen]]}}-Werkzeugs zu einem Linienzug verschmolzen werden; allerdings wird dieser Linienzug nicht änderbar sein. Um einen änderbaren Linienzug zu erzeugen, benutze {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/de|Hochstufen]]}} drei weitere Male an den neuen Formen (Linienzug, geschlossener Linienzug, Fläche). Du kann auch die ursprünglichen Linien mit dem {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire/de|Linienzug]]}}-Werkzeug verschmelzen.
+
Wenn verschiedene verbundene [[Draft Line/de|Draft Linien]] ausgewählt sind, können sie durch Drücken des {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/de|Draft Hoststufen]]}} Werkzeugs zu einem Linienzug verschmolzen werden; '''jedoch''' wird dieser Linienzug nicht änderbar sein. '''Um einen änderbaren Linienzug zu erzeugen''', benutze {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/de|Hochstufen]]}} drei weitere Male an den neuen Formen (Linienzug, geschlossener Linienzug, Fläche). Du kann auch die ursprünglichen Linien mit dem {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire/de|Linienzug]]}} Werkzeug verschmelzen.
  
Ein Linienzug kann auch aus einer einzelnen Linie durch Hinzufügen eines weiteren Punkts entlang der Länge erzeugt werden. Um dies zu tun, drücke die Schaltfläche {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt hinzufügen]]}} und klicke irgendwo auf der Linie.
+
'''Hinweis:''' Ein Linienzug kann auch aus einer einzelnen Linie durch Hinzufügen eines weiteren Punkts entlang der Länge erzeugt werden. Um dies zu tun, drücke die {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt hinzufügen]]}} Schaltfläche und klicke irgendwo auf die Linie.
  
<div class="mw-translate-fuzzy">
 
 
==Optionen==
 
==Optionen==
* Drücken von {{KEY|X}}, {{KEY|Y}} oder {{KEY|Z}} auf der Tastatur nach erfolgter Festlegung des ersten Punkts erzwingt für den zweiten Punkt den gleichen z-, y- bzw. z-Koordinaten-Wert
+
* Drücke  {{KEY|X}}}, {{KEY|Y}} oder {{KEY|Z}} nach dem ersten Punkt, um den zweiten Punkt auf der angegebenen Achse zu beschränken.
* Nach Tastatur-Eingabe der kartesichen Koordinaten-Werte nach jedem x-, y- und/oder z-Wert die Eingabetaste (Enter) {{KEY|ENTER}} drücken.
+
* Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücken dann {{KEY|Enter}} zwischen den einzelnen X-, Y- und Z-Komponenten.
*Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
+
** Du kannst auch die Polarkoordinaten des Punktes definieren, indem du einen Wert für "Länge" und "Winkel" angibst. Klicke auf das Kontrollkästchen neben "Winkel", um den Zeiger auf den angegebenen Winkel zu beschränken.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
+
** Du kannst die {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt hinzufügen]]}} Taste drücken wenn Du die gewünschten Werte hast, um den Punkt einzufügen.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
+
* Drücke {{{KEY|R}} oder klicke auf das Kontrollkästchen, um den ''relativen'' Modus umzuschalten. Wenn der Relativmodus eingeschaltet ist, sind die Koordinaten des zweiten Punktes relativ zum ersten; wenn nicht, sind sie absolut, bezogen auf den Ursprung (0,0,0).
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
+
* Drücke {{KEY|T}} oder klicke auf das Kontrollkästchen, um den ''Weiter''-Modus umzuschalten. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Linienwerkzeug nach der Eingabe des zweiten Punktes neu gestartet, so dass du ein weiteres Liniensegment zeichnen kannst, ohne die Werkzeugtaste erneut zu drücken.
* Press {{KEY|CTRL}}+{{KEY|Z}} or press the {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine|Undo]]'''}} button to undo the last point.
+
* Halte {{KEY|Ctrl}} während des Zeichnens gedrückt, um [[Draft_Snap/de|Fang]] deinen Punkt auf die nächstgelegene Fangposition zu zwingen, unabhängig von der Entfernung.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
+
* Halte {{KEY|Shift}} während des Zeichnens gedrückt, um deinen zweiten Punkt horizontal oder vertikal in Bezug auf den ersten zu [[Draft_Constrain/de|Beschränkung]].
* If several connected [[Draft Line|Draft Lines]] are selected they can be transformed into a wire by pressing the '''Draft Upgrade''' Button.
+
* Drücke {{KEY|Strg}}+{{KEY|Z}} oder drücke die {{button|[[Image:Draft_UndoLine.svg|12px]] [[Draft_UndoLine/de|Rückgängig]]}} Schaltfläche, um den letzten Punkt rückgängig zu machen.
</div>
+
* Drücke  {{KEY|Esc}} oder die Taste {{Button|Close}}, um den aktuellen Befehl abzubrechen.
  
<div class="mw-translate-fuzzy">
+
==Eigenschaften==
==Properties==
+
Ein Linienobjekt teilt alle Eigenschaften eines {{Button|[[Image:Draft_Wire.svg|16px]][[Draft Wire/de|Entwurf Draht]]}}, jedoch sind nur einige dieser Eigenschaften auf die Linie anwendbar.
* {{PropertyData/de|Start}}: Der Startpunkt
 
* {{PropertyData/de|End}}: Der Endpunkt
 
* {{PropertyData/de|Subdivisions}}: Dividiert die Linie mit der angegebenen Anzahl von Unterteilungen {{version/de|0.16}}
 
</div>
 
  
 
===Daten===
 
===Daten===
 
* {{PropertyData/de|Start}}: Gibt den Startpunkt an.
 
* {{PropertyData/de|Start}}: Gibt den Startpunkt an.
* {{PropertyData/de|End}}: Gibt den Endpunkt an.
+
* {{PropertyData/de|Ende}}: Gibt den Endpunkt an.
* {{PropertyData/de|Subdivisions}}: Gibt die Anzahl von inneren Knoten der Linie an. {{version/de|0.16}}
+
* {{PropertyData/de|Unterteilung}}: Gibt die Anzahl von inneren Knoten der Linie an. {{version/de|0.16}}
* {{PropertyData/de|Length}}: (nur-lesen) Gibt die Länge des Segments an.
+
* {{PropertyData/de|Länge}}: (nur-lesen) Gibt die Länge des Segments an.
  
===View===
+
===Ansicht===
* {{PropertyView|End Arrow}}: if it is {{TRUE}} it will display a symbol at the last point of the line, so it can be used as an annotation line.
+
* {{PropertyView/de|Ende Pfeil}}: Wenn es {{TRUE}} ist, zeigt es ein Symbol am letzten Punkt der Linie an, so dass es als Anmerkungslinie verwendet werden kann.
* {{PropertyView|Arrow Size}}: specifies the size of the symbol displayed at the end of the line.
+
* {{PropertyView/de|Pfeil Größe}}: Gibt die Größe des Symbols an, das am Ende der Zeile angezeigt wird.
* {{PropertyView|Arrow Type}}: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".
+
* {{PropertyView|Pfeil Typ}}: gibt den Typ des am Ende der Zeile angezeigten Symbols an, das " Punkt ", " Kreis ", " Pfeil " oder " Haken " sein kann.
  
<div class="mw-translate-fuzzy">
+
==Skripten==
==Scripting==
+
{{Emphasis|Siehe auch:}} [[Draft API/de|Draft API]] und [[FreeCAD Scripting Basics/de|FreeCAD Skripten Grundlagen]].
{{Emphasis|Siehe auch:}} [[Draft API/de|Draft API]] und [[FreeCAD Scripting Basics/de|FreeCAD Scripting Basics]].
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
Das Linienwerkzeug kann in [[macros/de|Makros]] und aus der [[Python/de|Python]] Konsole heraus durch folgende Funktion angesprochen werden:
Das Linie-Werkzeug kann in [[macros/de|Makros]] und aus der [[Python/de|Python]]-Konsole heraus durch folgende Funktion angesprochen werden:
 
</div>
 
 
{{Code|code=
 
{{Code|code=
 
Line = makeLine(p1, p2)
 
Line = makeLine(p1, p2)
Line 80: Line 74:
 
}}
 
}}
  
* Erstellt ein {{incode|Line}}-Objekt zwischen den beiden durch Vektoren gegebenen Punkten {{incode|p1}} and {{incode|p2}}, die jeweils durch ihren {{incode|FreeCAD.Vector}} definiert sind.
+
* Erzeugt ein {{incode|Line}} Objekt zwischen den Punkten {{incode|p1}} und {{incode|p2}}, jeweils definiert durch ihren {{incode|FreeCAD.Vector}}, mit Einheiten in Millimetern.
* Erstellt eine {{incode|Line}} aus einem {{incode|Part.LineSegment}}
+
* Erstellt ein {{incode|Line}} Objekt aus einem {{incode|Part.LineSegment}}.
* Erstellt eine {{incode|Line}} vom ersten zum letzten Eckpunkt eines gegebenen {{incode|Shape}}-Objekts
+
* Erzeugt ein {{incode|Line}} Objekt vom ersten Knoten bis zum letzten Knoten der angegebenen {{incode|Shape}}.
  
 
Beispiel:
 
Beispiel:
 
{{Code|code=
 
{{Code|code=
import FreeCAD, Draft
+
import FreeCAD as App
 +
import Draft
  
p1 = FreeCAD.Vector(0, 0, 0)
+
_doc = App.newDocument()
p2 = FreeCAD.Vector(1000, 500, 0)
+
 
p3 = FreeCAD.Vector(-250, -500, 0)
+
p1 = App.Vector(0, 0, 0)
p4 = FreeCAD.Vector(500, 1000, 0)
+
p2 = App.Vector(1000, 500, 0)
 +
p3 = App.Vector(-250, -500, 0)
 +
p4 = App.Vector(500, 1000, 0)
  
 
Line1 = Draft.makeLine(p1, p2)
 
Line1 = Draft.makeLine(p1, p2)
 
Line2 = Draft.makeLine(p3, p4)
 
Line2 = Draft.makeLine(p3, p4)
 +
_doc.recompute()
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
{{Docnav/de
 
{{Docnav/de
 
|
 
|
 
|[[Draft_Wire/de|Polygonzug]]
 
|[[Draft_Wire/de|Polygonzug]]
|[[Draft_Module/de|Draft-Arbeitsbereich]]
+
|[[Draft_Module/de|Draft Arbeitsbereich]]
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
 
|IconR=Draft_Wire.svg
 
|IconR=Draft_Wire.svg
 
}}
 
}}
</div>
 
 
{{Draft Tools navi/de}}
 
  
{{Userdocnavi/de}}
+
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 09:26, 21 August 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Nächste: Draht Draft Wire.svg Arrow-right.svg

Official icon not found {{{Name/de}}}

Menüeintrag
Entwurf → Linie
Arbeitsbereich
Entwurf, Arch Arbeitsbereich
Standardtastenkürzel
L I
In der Version eingeführt
0.7
Siehe auch
Entwurf Draht, Entwurf Punkt


Beschreibung

Das Linienwerkzeug erzeugt eine gerade Linie, die durch zwei Punkte definiert ist. Es wird das Entwurf Linienart verwendet, das auf dem [[Draft Tray /de|Entwurf Tablett]] gesetzt ist. Das Linienwerkzeug verhält sich genau wie das Werkzeug Entwurf Draht, nur dass es nach zwei Punkten stoppt.

Draft Line example.jpg

Linie erzeugt durch zwei Punkte


Anwendung

  1. Drücke die Draft Line.svg Entwurf Linie Schaltfläche, oder verwende EntwurfDraft Line.svg Linie aus dem oberen Menü oder verwende die Tastaturkürzel: L, dann I.
  2. Klicke auf einen ersten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Taste Draft AddPoint.svgPunkt hinzufügen Taste.
  3. Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Taste Draft AddPoint.svg Punkt hinzufügen Taste.

Die Linie kann durch doppelklicken des Elements in der Baumansicht geändert werden oder durch drücken der Schaltfläche Draft Edit.svg Bearbeiten. Dann kannst Du die Punkte an eine andere Position ziehen.

Verschmelzen einzelner Linien

Wenn verschiedene verbundene Draft Linien ausgewählt sind, können sie durch Drücken des Draft Upgrade.svg Draft Hoststufen Werkzeugs zu einem Linienzug verschmolzen werden; jedoch wird dieser Linienzug nicht änderbar sein. Um einen änderbaren Linienzug zu erzeugen, benutze Draft Upgrade.svg Hochstufen drei weitere Male an den neuen Formen (Linienzug, geschlossener Linienzug, Fläche). Du kann auch die ursprünglichen Linien mit dem Draft Wire.svg Linienzug Werkzeug verschmelzen.

Hinweis: Ein Linienzug kann auch aus einer einzelnen Linie durch Hinzufügen eines weiteren Punkts entlang der Länge erzeugt werden. Um dies zu tun, drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche und klicke irgendwo auf die Linie.

Optionen

  • Drücke X}, Y oder Z nach dem ersten Punkt, um den zweiten Punkt auf der angegebenen Achse zu beschränken.
  • Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücken dann Enter zwischen den einzelnen X-, Y- und Z-Komponenten.
    • Du kannst auch die Polarkoordinaten des Punktes definieren, indem du einen Wert für "Länge" und "Winkel" angibst. Klicke auf das Kontrollkästchen neben "Winkel", um den Zeiger auf den angegebenen Winkel zu beschränken.
    • Du kannst die Draft AddPoint.svg Punkt hinzufügen Taste drücken wenn Du die gewünschten Werte hast, um den Punkt einzufügen.
  • Drücke {R oder klicke auf das Kontrollkästchen, um den relativen Modus umzuschalten. Wenn der Relativmodus eingeschaltet ist, sind die Koordinaten des zweiten Punktes relativ zum ersten; wenn nicht, sind sie absolut, bezogen auf den Ursprung (0,0,0).
  • Drücke T oder klicke auf das Kontrollkästchen, um den Weiter-Modus umzuschalten. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Linienwerkzeug nach der Eingabe des zweiten Punktes neu gestartet, so dass du ein weiteres Liniensegment zeichnen kannst, ohne die Werkzeugtaste erneut zu drücken.
  • Halte Ctrl während des Zeichnens gedrückt, um Fang deinen Punkt auf die nächstgelegene Fangposition zu zwingen, unabhängig von der Entfernung.
  • Halte Shift während des Zeichnens gedrückt, um deinen zweiten Punkt horizontal oder vertikal in Bezug auf den ersten zu Beschränkung.
  • Drücke Strg+Z oder drücke die Draft UndoLine.svg Rückgängig Schaltfläche, um den letzten Punkt rückgängig zu machen.
  • Drücke Esc oder die Taste Close, um den aktuellen Befehl abzubrechen.

Eigenschaften

Ein Linienobjekt teilt alle Eigenschaften eines Draft Wire.svgEntwurf Draht, jedoch sind nur einige dieser Eigenschaften auf die Linie anwendbar.

Daten

  • Daten-EigenschaftStart: Gibt den Startpunkt an.
  • Daten-EigenschaftEnde: Gibt den Endpunkt an.
  • Daten-EigenschaftUnterteilung: Gibt die Anzahl von inneren Knoten der Linie an. verfügbar in Version 0.16
  • Daten-EigenschaftLänge: (nur-lesen) Gibt die Länge des Segments an.

Ansicht

  • Ansicht EigenschaftEnde Pfeil: Wenn es true ist, zeigt es ein Symbol am letzten Punkt der Linie an, so dass es als Anmerkungslinie verwendet werden kann.
  • Ansicht EigenschaftPfeil Größe: Gibt die Größe des Symbols an, das am Ende der Zeile angezeigt wird.
  • ViewPfeil Typ: gibt den Typ des am Ende der Zeile angezeigten Symbols an, das " Punkt ", " Kreis ", " Pfeil " oder " Haken " sein kann.

Skripten

Siehe auch: Draft API und FreeCAD Skripten Grundlagen.

Das Linienwerkzeug kann in Makros und aus der Python Konsole heraus durch folgende Funktion angesprochen werden:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Erzeugt ein Line Objekt zwischen den Punkten p1 und p2, jeweils definiert durch ihren FreeCAD.Vector, mit Einheiten in Millimetern.
  • Erstellt ein Line Objekt aus einem Part.LineSegment.
  • Erzeugt ein Line Objekt vom ersten Knoten bis zum letzten Knoten der angegebenen Shape.

Beispiel:

import FreeCAD as App
import Draft

_doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
_doc.recompute()